
<!DOCTYPE html>

<html>
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; Battery SOH  documentation</title>
    
  <link href="_static/css/theme.css" rel="stylesheet" />
  <link href="_static/css/index.c5995385ac14fb8791e8eb36b4908be2.css" rel="stylesheet" />

    
  <link rel="stylesheet"
    href="_static/vendor/fontawesome/5.13.0/css/all.min.css">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-solid-900.woff2">
  <link rel="preload" as="font" type="font/woff2" crossorigin
    href="_static/vendor/fontawesome/5.13.0/webfonts/fa-brands-400.woff2">

    
      

    
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css" />
    <link rel="stylesheet" type="text/css" href="_static/css/custom.css" />
    
  <link rel="preload" as="script" href="_static/js/index.1c5a1a01449ed65a7b51.js">

    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/doctools.js"></script>
    <script crossorigin="anonymous" integrity="sha256-Ae2Vz/4ePdIu6ZyI/5ZGsYnb+m0JlOmKPjt6XZ9JJkA=" src="https://cdnjs.cloudflare.com/ajax/libs/require.js/2.3.4/require.min.js"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="docsearch:language" content="en" />
    
  </head>
  <body data-spy="scroll" data-target="#bd-toc-nav" data-offset="80">
    
    <div class="container-fluid" id="banner"></div>

    
    <nav class="navbar navbar-light navbar-expand-lg bg-light fixed-top bd-navbar" id="navbar-main"><div class="container-xl">

  <div id="navbar-start">
    
    

<a class="navbar-brand" href="index.html">
  <img src="_static/logo.png" class="logo" alt="logo">
</a>


    
  </div>

  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbar-collapsible" aria-controls="navbar-collapsible" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  
  <div id="navbar-collapsible" class="col-lg-9 collapse navbar-collapse">
    <div id="navbar-center" class="mr-auto">
      
      <div class="navbar-center-item">
        <ul id="navbar-main-elements" class="navbar-nav">
    <li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Colabs.html">
  Google Colabs
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/main.html">
  Useful dictionaries
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Battery%20Classes.html">
  Battery Classes
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Cleaning.html">
  Treatment functions
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Models.html">
  Models
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Training.html">
  Training and Simulation
 </a>
</li>

<li class="toctree-l1 nav-item">
 <a class="reference internal nav-link" href="sphinx/Report.html">
  Report related
 </a>
</li>

    
</ul>
      </div>
      
    </div>

    <div id="navbar-end">
      
      <div class="navbar-end-item">
        <ul id="navbar-icon-links" class="navbar-nav" aria-label="Icon Links">
      </ul>
      </div>
      
    </div>
  </div>
</div>
    </nav>
    

    <div class="container-xl">
      <div class="row">
          
            
            <!-- Only show if we have sidebars configured, else just a small margin  -->
            <div class="col-12 col-md-3 bd-sidebar"><form class="bd-search d-flex align-items-center" action="search.html" method="get">
  <i class="icon fas fa-search"></i>
  <input type="search" class="form-control" name="q" id="search-input" placeholder="Search the docs ..." aria-label="Search the docs ..." autocomplete="off" >
</form><nav class="bd-links" id="bd-docs-nav" aria-label="Main navigation">
  <div class="bd-toc-item active">
    
  </div>
</nav>
            </div>
            
          

          
          <div class="d-none d-xl-block col-xl-2 bd-toc">
            
          </div>
          

          
          
            
          
          <main class="col-12 col-md-9 col-xl-7 py-md-5 pl-md-5 pr-md-4 bd-content" role="main">
              
              <div>
                

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#Q"><strong>Q</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#V"><strong>V</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Report.Training_Class.add_epoch">add_epoch() (Report.Training_Class method)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.add_train">add_train() (Report.Training_Class method)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.additive">additive (Coin_Classes.Dataset_Coin attribute)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cycle.amb_T">amb_T (Coin_Classes.Coin_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.amb_T">(Coin_Classes.Dataset_Coin attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle.amb_T">(MIT_Classes.Clean_MIT_Cycle attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle.amb_T">(MIT_Classes.MIT_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle.amb_T">(Nasa_Classes.Clean_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.amb_T">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Load_Save.Analysis">Analysis() (in module Load_Save)</a>

      <ul>
        <li><a href="sphinx/Old_Load_Save.html#Old_Load_Save.Analysis">(in module Old_Load_Save)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Report.Training_Class.batch_size">batch_size (Report.Training_Class attribute)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.batteries">batteries (LSTM.Torch_Dataset_LSTM attribute)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM.batteries">(LSTM_chemistry.Torch_Dataset_LSTM attribute)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM.batteries">(LSTM_with_norm.Torch_Dataset_LSTM attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.battery_i">battery_i (Nasa_Classes.Nasa_Data attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle.battery_keys">battery_keys (MIT_Classes.Clean_MIT_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle.battery_keys">(MIT_Classes.MIT_Cycle attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.Battery_list">Battery_list (LSTM.Torch_Dataset_LSTM attribute)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.battery_z">battery_z (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.best_epoch">best_epoch (Report.Training_Class attribute)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.best_epoch_method">best_epoch_method() (Report.Training_Class method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.C_rate">C_rate (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.C_rate">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.C_rate">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data.capacity">capacity (Coin_Classes.Coin_Data attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.capacity">(MIT_Classes.MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data.capacity">(Nasa_Classes.Clean_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.capacity">(Nasa_Classes.Nasa_Data attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.capacity_curve">capacity_curve (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.capacity_curve">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.capacity_curve">(Nasa_Classes.Clean_Battery attribute)</a>, <a href="sphinx/NASA.html#id0">[1]</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Coin_Battery.cell">cell (Coin_Classes.Clean_Coin_Battery attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.cell">(Coin_Classes.Dataset_Coin attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.change_norm">change_norm() (LSTM_with_norm.LSTM_v1 method)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.charge_i">charge_i (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.charge_v">charge_v (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.chemistry">chemistry (Coin_Classes.Dataset_Coin attribute)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.chr_capacity">chr_capacity (MIT_Classes.MIT_Data attribute)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery">Clean_Battery (class in Nasa_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell">Clean_Cell (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Coin_Battery">Clean_Coin_Battery (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle">Clean_Cycle (class in Nasa_Classes)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.clean_cycle_method">clean_cycle_method() (Nasa_Classes.Clean_Battery method)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data">Clean_Data (class in Nasa_Classes)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Clean_Dataset">Clean_Dataset (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Clean_Dataset.Clean_Dataset_Cycle">Clean_Dataset.Clean_Dataset_Cycle (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Clean_Dataset.Clean_Dataset_Cycle.Clean_Data_Class">Clean_Dataset.Clean_Dataset_Cycle.Clean_Data_Class (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery">Clean_MIT_Battery (class in MIT_Classes)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle">Clean_MIT_Cycle (class in MIT_Classes)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.clean_MIT_cycle_method">clean_MIT_cycle_method() (MIT_Classes.Clean_MIT_Battery method)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Data">Clean_MIT_Data (class in MIT_Classes)</a>
</li>
      <li>
    Cleaning

      <ul>
        <li><a href="sphinx/Cleaning.html#module-Cleaning">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cell">Coin_Cell (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cycle">Coin_Cycle (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data">Coin_Data (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Part">Coin_Part (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.couples">couples (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.couples">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.cycle">cycle (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Dataset_MIT.cycle">(MIT_Classes.Dataset_MIT attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Dataset_Nasa.cycle">(Nasa_Classes.Dataset_Nasa attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.cycle_couple">cycle_couple (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.cycle_couple">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.cycle_couple">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.cycle_life">cycle_life (MIT_Classes.Clean_MIT_Battery attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Dataset_MIT.cycle_life">(MIT_Classes.Dataset_MIT attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cycle.data">data (Coin_Classes.Coin_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle.data">(MIT_Classes.Clean_MIT_Cycle attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle.data">(MIT_Classes.MIT_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle.data">(Nasa_Classes.Clean_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.data">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTM_Base.html#LSTM_Base.Dataset_Base">Dataset_Base (class in LSTM_Base)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin">Dataset_Coin (class in Coin_Classes)</a>
</li>
      <li><a href="sphinx/Report.html#DistributionPlots.dataset_displot">dataset_displot() (in module DistributionPlots)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.dataset_format">dataset_format (LSTM.Torch_Dataset_LSTM attribute)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM.dataset_format">(LSTM_chemistry.Torch_Dataset_LSTM attribute)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM.dataset_format">(LSTM_with_norm.Torch_Dataset_LSTM attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTM_Base.html#LSTM_Base.Dataset_Base.dataset_info">dataset_info() (LSTM_Base.Dataset_Base method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#DistributionPlots.dataset_jointplot">dataset_jointplot() (in module DistributionPlots)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Dataset_MIT">Dataset_MIT (class in MIT_Classes)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.dataset_name">dataset_name (LSTM.Torch_Dataset_LSTM attribute)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM.dataset_name">(LSTM_chemistry.Torch_Dataset_LSTM attribute)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM.dataset_name">(LSTM_with_norm.Torch_Dataset_LSTM attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Dataset_Nasa">Dataset_Nasa (class in Nasa_Classes)</a>
</li>
      <li><a href="sphinx/Cleaning.html#Cleaning.Denormalize">Denormalize() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.dis_capacity">dis_capacity (MIT_Classes.MIT_Data attribute)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.dis_dQdV">dis_dQdV (MIT_Classes.MIT_Data attribute)</a>
</li>
      <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.disable_training">disable_training() (LSTM_with_norm.LSTM_v1 method)</a>
</li>
      <li>
    DistributionPlots

      <ul>
        <li><a href="sphinx/Report.html#module-DistributionPlots">module</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.electrode_batch">electrode_batch (Coin_Classes.Dataset_Coin attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.enable_training">enable_training() (LSTM_with_norm.LSTM_v1 method)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.epoch">epoch (Report.Training_Class attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTM.html#LSTM.LSTM_v1.forward">forward() (LSTM.LSTM_v1 method)</a>

      <ul>
        <li><a href="sphinx/LSTM.html#LSTM.LSTM_v4.forward">(LSTM.LSTM_v4 method)</a>
</li>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.LSTM_v1.forward">(LSTM_chemistry.LSTM_v1 method)</a>
</li>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.LSTM_v4.forward">(LSTM_chemistry.LSTM_v4 method)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.forward">(LSTM_with_norm.LSTM_v1 method)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v4.forward">(LSTM_with_norm.LSTM_v4 method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.from_model">from_model() (LSTM_with_norm.LSTM_v1 method)</a>

      <ul>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v4.from_model">(LSTM_with_norm.LSTM_v4 method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Cleaning.html#Cleaning.Input_outliers_v3">Input_outliers_v3() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.inputs">inputs (LSTM.Torch_Dataset_LSTM attribute)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM.inputs">(LSTM_chemistry.Torch_Dataset_LSTM attribute)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM.inputs">(LSTM_with_norm.Torch_Dataset_LSTM attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Report.Training_Class.learning_rate">learning_rate (Report.Training_Class attribute)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.load_i">load_i (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li>
    Load_Save

      <ul>
        <li><a href="sphinx/Report.html#module-Load_Save">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Load_Save.Load_Save">Load_Save() (in module Load_Save)</a>

      <ul>
        <li><a href="sphinx/Old_Load_Save.html#Old_Load_Save.Load_Save">(in module Old_Load_Save)</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Load_Save.Load_Save_v2">Load_Save_v2() (in module Load_Save)</a>

      <ul>
        <li><a href="sphinx/Old_Load_Save.html#Old_Load_Save.Load_Save_v2">(in module Old_Load_Save)</a>
</li>
      </ul></li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.load_v">load_v (Nasa_Classes.Nasa_Data attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Report.Training_Class.loss_fn">loss_fn (Report.Training_Class attribute)</a>
</li>
      <li>
    LSTM_Base

      <ul>
        <li><a href="sphinx/LSTM_Base.html#module-LSTM_Base">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTM_Base.html#LSTM_Base.LSTM_Base">LSTM_Base (class in LSTM_Base)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.LSTM_v1">LSTM_v1 (class in LSTM)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.LSTM_v1">(class in LSTM_chemistry)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1">(class in LSTM_with_norm)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTM.html#LSTM.LSTM_v4">LSTM_v4 (class in LSTM)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.LSTM_v4">(class in LSTM_chemistry)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v4">(class in LSTM_with_norm)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cell.mass">mass (Coin_Classes.Coin_Cell attribute)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data.meas_i">meas_i (Coin_Classes.Coin_Data attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Part.meas_i">(Coin_Classes.Coin_Part attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Data.meas_i">(MIT_Classes.Clean_MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.meas_i">(MIT_Classes.MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data.meas_i">(Nasa_Classes.Clean_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.meas_i">(Nasa_Classes.Nasa_Data attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data.meas_q">meas_q (Coin_Classes.Coin_Data attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Part.meas_q">(Coin_Classes.Coin_Part attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Data.meas_t">meas_t (MIT_Classes.Clean_MIT_Data attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.meas_t">(MIT_Classes.MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data.meas_t">(Nasa_Classes.Clean_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.meas_t">(Nasa_Classes.Nasa_Data attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data.meas_v">meas_v (Coin_Classes.Coin_Data attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Part.meas_v">(Coin_Classes.Coin_Part attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Data.meas_v">(MIT_Classes.Clean_MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.meas_v">(MIT_Classes.MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data.meas_v">(Nasa_Classes.Clean_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.meas_v">(Nasa_Classes.Nasa_Data attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.min_len">min_len (LSTM.Torch_Dataset_LSTM attribute)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle">MIT_Cycle (class in MIT_Classes)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data">MIT_Data (class in MIT_Classes)</a>
</li>
      <li>
    module

      <ul>
        <li><a href="sphinx/Cleaning.html#module-Cleaning">Cleaning</a>
</li>
        <li><a href="sphinx/Report.html#module-DistributionPlots">DistributionPlots</a>
</li>
        <li><a href="sphinx/Report.html#module-Load_Save">Load_Save</a>
</li>
        <li><a href="sphinx/LSTM_Base.html#module-LSTM_Base">LSTM_Base</a>
</li>
        <li><a href="sphinx/Old_Load_Save.html#module-Old_Load_Save">Old_Load_Save</a>
</li>
        <li><a href="sphinx/Report.html#module-Report">Report</a>
</li>
        <li><a href="sphinx/Report.html#module-Table">Table</a>
</li>
        <li><a href="sphinx/Template%20Class.html#module-Template_Classes">Template_Classes</a>
</li>
        <li><a href="sphinx/Training.html#module-Training">Training</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.Name">Name (Coin_Classes.Dataset_Coin attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.Name">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.Dataset_MIT.Name">(MIT_Classes.Dataset_MIT attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.Name">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Dataset_Nasa.Name">(Nasa_Classes.Dataset_Nasa attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle">Nasa_Cycle (class in Nasa_Classes)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data">Nasa_Data (class in Nasa_Classes)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.nb_epochs">nb_epochs (Report.Training_Class attribute)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.norm">norm (LSTM.Torch_Dataset_LSTM attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.norm_adapt">norm_adapt() (in module LSTM_chemistry)</a>
</li>
      <li><a href="sphinx/Cleaning.html#Cleaning.Normalize">Normalize() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cell.number">number (Coin_Classes.Coin_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cycle.number">(Coin_Classes.Coin_Cycle attribute)</a>
</li>
        <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.number">(Coin_Classes.Dataset_Coin attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle.number">(MIT_Classes.MIT_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.number">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.NVPF_mass_1">NVPF_mass_1 (Coin_Classes.Dataset_Coin attribute)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Dataset_Coin.NVPF_mass_2">NVPF_mass_2 (Coin_Classes.Dataset_Coin attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Report.html#Load_Save.offset_calculator">offset_calculator() (in module Load_Save)</a>

      <ul>
        <li><a href="sphinx/Old_Load_Save.html#Old_Load_Save.offset_calculator">(in module Old_Load_Save)</a>
</li>
      </ul></li>
      <li>
    Old_Load_Save

      <ul>
        <li><a href="sphinx/Old_Load_Save.html#module-Old_Load_Save">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Report.Training_Class.optimizer">optimizer (Report.Training_Class attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Cleaning.html#Cleaning.Outliers">Outliers() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/Cleaning.html#Cleaning.Outliers_idx">Outliers_idx() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.output">output (LSTM.Torch_Dataset_LSTM attribute)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM.output">(LSTM_chemistry.Torch_Dataset_LSTM attribute)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM.output">(LSTM_with_norm.Torch_Dataset_LSTM attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Cell.part">part (Coin_Classes.Coin_Cell attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.policy">policy (MIT_Classes.Clean_MIT_Battery attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Dataset_MIT.policy">(MIT_Classes.Dataset_MIT attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="Q">Q</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.Q_nominal">Q_nominal (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.Q_nominal">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.Q_nominal">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.Qdlin">Qdlin (MIT_Classes.MIT_Data attribute)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Cleaning.html#Cleaning.ranges">ranges() (in module Cleaning)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.ratio_i">ratio_i (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.raw_couples">raw_couples (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.raw_couples">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Raw_Dataset">Raw_Dataset (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Raw_Dataset.Raw_Cycle">Raw_Dataset.Raw_Cycle (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Raw_Dataset.Raw_Cycle.Raw_Data">Raw_Dataset.Raw_Cycle.Raw_Data (class in Template_Classes)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.Rct">Rct (Nasa_Classes.Nasa_Data attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.Re">Re (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.rectified_z">rectified_z (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li>
    Report

      <ul>
        <li><a href="sphinx/Report.html#module-Report">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Report.Report">Report() (in module Report)</a>
</li>
      <li><a href="sphinx/LSTM_Base.html#LSTM_Base.Dataset_Base.report">report() (LSTM_Base.Dataset_Base method)</a>

      <ul>
        <li><a href="sphinx/LSTM_Base.html#LSTM_Base.LSTM_Base.report">(LSTM_Base.LSTM_Base method)</a>
</li>
        <li><a href="sphinx/Report.html#Report.Training_Class.report">(Report.Training_Class method)</a>
</li>
      </ul></li>
      <li><a href="sphinx/Cleaning.html#Cleaning.Resampling_flexible">Resampling_flexible() (in module Cleaning)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.sense_i">sense_i (Nasa_Classes.Nasa_Data attribute)</a>
</li>
      <li><a href="sphinx/Template%20Class.html#Template_Classes.Clean_Dataset.separate_and_clean">separate_and_clean() (Template_Classes.Clean_Dataset method)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.separate_coin_cycles">separate_coin_cycles() (Coin_Classes.Clean_Cell method)</a>
</li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.separation">separation (Coin_Classes.Clean_Cell attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/Training.html#Training.simulate">simulate() (in module Training)</a>
</li>
      <li><a href="sphinx/Report.html#DistributionPlots.SOH_displot">SOH_displot() (in module DistributionPlots)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle.summary_keys">summary_keys (MIT_Classes.Clean_MIT_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Cycle.summary_keys">(MIT_Classes.MIT_Cycle attribute)</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Report.Training_Class.supplementary_information">supplementary_information() (Report.Training_Class method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    Table

      <ul>
        <li><a href="sphinx/Report.html#module-Table">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Table.table_from_report">table_from_report() (in module Table)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.Tdlin">Tdlin (MIT_Classes.MIT_Data attribute)</a>
</li>
      <li>
    Template_Classes

      <ul>
        <li><a href="sphinx/Template%20Class.html#module-Template_Classes">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Data.time">time (Coin_Classes.Coin_Data attribute)</a>

      <ul>
        <li><a href="sphinx/COIN.html#Coin_Classes.Coin_Part.time">(Coin_Classes.Coin_Part attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Data.time">(MIT_Classes.Clean_MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/MIT.html#MIT_Classes.MIT_Data.time">(MIT_Classes.MIT_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle.time">(Nasa_Classes.Clean_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Data.time">(Nasa_Classes.Clean_Data attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.time">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Data.time">(Nasa_Classes.Nasa_Data attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM.time_step">time_step (LSTM.Torch_Dataset_LSTM attribute)</a>
</li>
      <li><a href="sphinx/LSTM_Base.html#LSTM_Base.Dataset_Base.time_step_function">time_step_function() (LSTM_Base.Dataset_Base method)</a>
</li>
      <li><a href="sphinx/LSTM.html#LSTM.Torch_Dataset_LSTM">Torch_Dataset_LSTM (class in LSTM)</a>

      <ul>
        <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_LSTM">(class in LSTM_chemistry)</a>
</li>
        <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.Torch_Dataset_LSTM">(class in LSTM_with_norm)</a>
</li>
      </ul></li>
      <li><a href="sphinx/LSTMchem.html#LSTM_chemistry.Torch_Dataset_Mixer">Torch_Dataset_Mixer (class in LSTM_chemistry)</a>
</li>
      <li><a href="sphinx/Training.html#Training.Train">Train() (in module Training)</a>
</li>
      <li>
    Training

      <ul>
        <li><a href="sphinx/Training.html#module-Training">module</a>
</li>
      </ul></li>
      <li><a href="sphinx/Report.html#Report.Training_Class">Training_Class (class in Report)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.Epoch_Class">Training_Class.Epoch_Class (class in Report)</a>
</li>
      <li><a href="sphinx/Report.html#Report.Training_Class.trains">trains (Report.Training_Class attribute)</a>
</li>
      <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Cycle.type">type (MIT_Classes.Clean_MIT_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle.type">(Nasa_Classes.Clean_Cycle attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.type">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Cycle.unix_time">unix_time (Nasa_Classes.Clean_Cycle attribute)</a>

      <ul>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Nasa_Cycle.unix_time">(Nasa_Classes.Nasa_Cycle attribute)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/LSTMwithNorm.html#LSTM_with_norm.LSTM_v1.update_norm">update_norm() (LSTM_with_norm.LSTM_v1 method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="V">V</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="sphinx/COIN.html#Coin_Classes.Clean_Cell.V_nominal">V_nominal (Coin_Classes.Clean_Cell attribute)</a>

      <ul>
        <li><a href="sphinx/MIT.html#MIT_Classes.Clean_MIT_Battery.V_nominal">(MIT_Classes.Clean_MIT_Battery attribute)</a>
</li>
        <li><a href="sphinx/NASA.html#Nasa_Classes.Clean_Battery.V_nominal">(Nasa_Classes.Clean_Battery attribute)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>



              </div>
              
              
              <div class='prev-next-bottom'>
                

              </div>
              
          </main>
          

      </div>
    </div>
  
  <script src="_static/js/index.1c5a1a01449ed65a7b51.js"></script>

  <footer class="footer mt-5 mt-md-0">
  <div class="container">
    
    <div class="footer-item">
      <p class="copyright">
    &copy; Copyright 2021, Antonio Rocha Azevedo.<br/>
</p>
    </div>
    
    <div class="footer-item">
      <p class="sphinx-version">
Created using <a href="http://sphinx-doc.org/">Sphinx</a> 4.0.2.<br/>
</p>
    </div>
    
  </div>
</footer>
  </body>
</html>